///////////////////////
// General templates //
///////////////////////

// GeneralTextTemplate: Template for text areas with small font.
template element TextArea(GeneralTextTemplate)
{
	horz_align center
	alignment center
	font_name BerlinSans32	
	char_height 0.04167
	colour_top 1.0 1.0 1.0
	colour_bottom 0.8 0.8 0.8
}

////////////////////
// Menu templates //
////////////////////

template container Panel(FearBarTemplate)
{
	left 0.72
	top 0.92
	//horz_align center
	//vert_align center
	width 0.25
	height 0.04
	material Fear/Bar
}
template container Panel(FearTemplate)
{
	left 0.73
	top 0.926
	//horz_align center
	//vert_align center
	width 0.04
	height 0.027
	material Fear/Fear
}

// MenuBackgroundTemplate: Semi-transparent panel filling the entire screen.
template container Panel(ConversationWhiteBackgroundTemplate)
{
	//left 0.05
	//top 0.05
	//horz_align center
	//vert_align center
	width 1
	height 1
	material Baloon/White
}

// MenuPanelTemplate: Semi-transparent panel for the menu itself.
template container Panel(ConversationBlackBackgroundTemplate)
{
	//horz_align center
	//vert_align center
	//left 0.075
	//top 0.075
	width 1
	height 1
	material Baloon/Black
}
template element Panel(ConversationTextTemplate)
{
	top 0.05
	left 0.045
	//horz_align center

}

template element TextArea(ConversationTemplate)
{
	horz_align left
	font_name Omatic
	char_height 0.03
	alignment left
	colour_top 0.1 0.1 0.1
	colour_bottom 0.2 0.2 0.2
}
template element TextArea(ConversationTemplate2)
{
	horz_align center
	font_name BerlinSans64
	char_height 0.05
	alignment center
	colour_top 0.1 0.1 0.1
	colour_bottom 0.9 0.9 0.9
}


// MenuLogoTemplate: Game logo displayed at the top of menus.
template container Panel(MenuLogoTemplate)
{
	horz_align center
	left -0.25
	top -0.16667
	width 0.5
	height 0.33333
	material Menu/MenuLogo
}

// MenuItemTemplate: Template for menu items.
template element TextArea(MenuItemTemplate)
{
	horz_align center
	font_name BerlinSans64
	char_height 0.08333
	alignment center
	colour_top 1.0 1.0 1.0
	colour_bottom 0.8 0.8 0.8
}
